' Dictionary Utility for ADGE.net

Public Class DUt
    Public Shared ReadOnly Property BaseDir() As String
        Get
            BaseDir = Application.StartupPath
        End Get
    End Property
    Public Shared Function Read_Dic_MiscItem() As String()
        Read_Dic_MiscItem = IO.File.ReadAllLines(IO.Path.Combine(BaseDir, "_Dic_MiscItem.txt"), System.Text.Encoding.ASCII)
    End Function
    Public Shared Function Read_Dic_Weapon() As String()
        Read_Dic_Weapon = IO.File.ReadAllLines(IO.Path.Combine(BaseDir, "_Dic_Weapon.txt"), System.Text.Encoding.ASCII)
    End Function
    Public Shared Function Read_Dic_Creature() As String()
        Read_Dic_Creature = IO.File.ReadAllLines(IO.Path.Combine(BaseDir, "_Dic_Creature.txt"), System.Text.Encoding.ASCII)
    End Function
End Class
